package jrummikub.model;

import java.awt.Color;

/**
 * Mock class for {@link Player}
 */
public class MockPlayer implements IPlayer {
	/** */
	public MockHand hand;
	/** */
	public String name;
	/** */
	public Color color;

	/**
	 * @param name
	 * @param color 
	 */
	public MockPlayer(String name, Color color) {
		hand = new MockHand();
		this.name = name;
		this.color = color;
	}

	@Override
	public IHand getHand() {
		return hand;
	}

	@Override
	public Color getColor() {
		return color;
	}

	@Override
	public String getName() {
		return name;
	}
}
